dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Нет привязки к пересечениям объектов

Нет привязки к пересечениям объектов

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 10.07.2008, 19:07 #1
Нет привязки к пересечениям объектов
dmitriiy
 
Регистрация: 24.02.2008
Сообщений: 5

dmitriiy вне форума Вставить имя

AutoCAD RUS ver 2008.
Привязка к пересечениям включена.

После вставки (скорее всего) большого фрагмента из другого файла(контур насыпи полотна) начала глючить привязка к пересечениям. Рисую два отрезка в одном слое, хочу начать третий с их пересечения, но оно не отслеживается. На других объектах нормально. Систему обнаружить не удалось. Пытался перенести объекты на другой слой, не помогает. Если кто сталкивался, подскажите, что делать, пожалуйста. Вероятно, проблема со слоями, но как ее решить....

Прошу продублировать ответ на lobanov@lgt.ru (доступ в сеть ограничен). Также с этого адреса я могу выслать завтра с работы файл (не сообразил взять с домой и прикрепить).

Заранее спасибо, dmitriiy
Просмотров: 3106
 
Непрочитано 10.07.2008, 19:11
#2
Profan

Чужой
 
Регистрация: 25.12.2005
Москва
Сообщений: 13,478


Проверь координаты Z объектов.
Profan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 10.07.2008, 19:12
#3
Vook


 
Регистрация: 18.11.2004
Сообщений: 76


Скорее всего у какого-то из объектов ненулевая координата по z? поэтому в реальности пересечения нет, вот автокад его и не ловит
Vook вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 10.07.2008, 19:40
#4
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 14,900


в 2008-ом есть возможность подключить привязку типа "Apparent Intersect" (apparent- кажущийся, видимый, наблюдаемый, intersect- сокр. от пересечение). К сожалению, не знаю, как локализаторы перевели это наименование.
PS Это, вроде, какраз тот случай.
Хмурый вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 10.07.2008, 20:01
#5
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,337


"Кажущееся пересечение" есть как минимум с 2005-й версии, насколько мне вспоминается..
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.07.2008, 20:58
#6
Vavan Metallist

шось роблю
 
Регистрация: 30.01.2008
Україна, Львів
Сообщений: 4,871


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
"Кажущееся пересечение" есть как минимум с 2005-й версии, насколько мне вспоминается..
Есть и в 2000
Vavan Metallist вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 12.07.2008, 00:31
#7
dmitriiy


 
Регистрация: 24.02.2008
Сообщений: 5


Кажущееся пересечение работает.
Координата Z всех отрезков равна 0.
dmitriiy вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 12.07.2008, 03:30
#8
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,006


А тут еще по-моему играет роль Уровень полилинии. Сталкивался с такой проблемой. Решение нашел в одном лиспе, не помню, к сожалению автора. Лисп "плющит" весь чертеж за секунды. Если с ним планируется работа только в 2D, смело можно качать из вложения и пользоваться. Иконка прилагается (из веткада, кстати, может кто знает, почему некорректно работает обнуление Z в VetCAD++?).
Возможный макрос на кнопку
Код:
[Выделить все]
^C^C(if(null C:FLATTEN1)(Load "FLATTEN1.lsp"));FLATTEN1
Вложения
Тип файла: rar Обнулитель Z-координаты.rar (2.1 Кб, 104 просмотров)
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 13.07.2008, 19:25
#9
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,337


skkkk, в качестве иллюстрации к неработоспособности лиспа: запусти код
Код:
[Выделить все]
(defun c:pl1 ()
  (entmakex
    '((0 . "LWPOLYLINE")
      (100 . "AcDbEntity")
      (67 . 0)
      (410 . "Model")
      (8 . "0")
      (100 . "AcDbPolyline")
      (90 . 6)
      (70 . 1)
      (43 . 0.0)
      (38 . 0.0)
      (39 . 0.0)
      (10 -7.91278 2.91235)
      (40 . 0.0)
      (41 . 0.0)
      (42 . 0.0)
      (10 -1.45006 6.22559)
      (40 . 0.0)
      (41 . 0.0)
      (42 . 0.0)
      (10 -6.7158 13.6058)
      (40 . 0.0)
      (41 . 0.0)
      (42 . 0.0)
      (10 -9.71819 5.53799)
      (40 . 0.0)
      (41 . 0.0)
      (42 . 0.0)
      (10 -16.1736 12.4154)
      (40 . 0.0)
      (41 . 0.0)
      (42 . 0.0)
      (10 -12.7338 3.22007)
      (40 . 0.0)
      (41 . 0.0)
      (42 . 0.0)
      (210 -0.196116 0.0 0.980581)
      )
    ) ;_ end of entmakex
  )
а потом flatten1
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.07.2008, 00:22
#10
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,006


Ого себе! Появилась полилиния и пропала... Нет, в точку превратилась. А почему же так?? Вроде плющит же? (программа чертеж, в смысле) Уверен, ты знаешь, как это объяснить....
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.07.2008, 01:53
#11
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,337


А все очень просто - у полилинии не мировая система координат. Поэтому твой вариант с _.move и не срабатывает.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.07.2008, 04:05
#12
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,006


Значит программка только для мировой? Надо поправить в посте, если так. Может еще какие ограничения есть? Ну да, не универсальная, но мне помогает находить пересечения, а BreakObjects без нее вообще работать отказывается. Стыдно, но я не пользуюсь координатами в КАДе, поэтому упустил этот момент

Последний раз редактировалось skkkk, 14.07.2008 в 04:12.
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.07.2008, 14:48
#13
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,337


Я в свое время пытался и в коде flatten разобраться, и свой писал. Там простых решений не встречалось...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.07.2008, 14:51
#14
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,006


Т.е. ты так и не пришел к результату? А о _flatten из экспрессов можешь свое мнение дать?
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.07.2008, 15:03
#15
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,337


Скажем так: я пришел к результату, который лично мне более-менее подошел (хотя ускорять там его еще можно очень долго). Штатный flatten мне не понравился тем, что зависал на очень больших чертежах с многократно продублированными объектами; не обрабатывал 3DFACE (а мне это требовалось) и пару раз очень плохо себя вел на примитивах с расширенными данными.
С другой стороны, у меня не было задачи корректно преобразовывать непрямые элементы (дуги / окружности / сплайны), поэтому я мог себе позволить некоторые вольности. Аналогичная история была с текстами, атрибутами и блоками. Кроме того, у меня было обязательное требование: перевод выбранных примитивов в мировую систему координат независимо от текущей. То есть достаточно специфическое решение получилось...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.05.2017, 14:54
#16
Oxxsa


 
Регистрация: 14.08.2009
Сообщений: 3


У меня тоже была такая проблема не привязывалось пересечение линий или полилиний. В версии 2012 она решилась путем снятия галочки в меню "Настройки" - "Объектная привязка" - "Объектное отслеживание Вкл (F11)". Как только галочку сняла. сразу любое пересечение стало привязываться. Может кому поможет моя инфа. Все удачи!
Oxxsa вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 15.05.2017, 09:05
#17
Bull

Конструктор по сути (машиностроитель)
 
Регистрация: 10.10.2005
Набережные Челны (это где КамАЗ)
Сообщений: 8,883


Цитата:
Сообщение от Oxxsa Посмотреть сообщение
В версии 2012 она решилась путем снятия галочки в меню "Настройки" - "Объектная привязка" - "Объектное отслеживание Вкл (F11)". Как только галочку сняла. сразу любое пересечение стало привязываться.
Это явно некорректное "решение". Может глюки были, может SP надо было установить последнее, может видеокарта не успевала реагировать, может ещё что-нибудь из мелочи такого рода. Но привязка точно должна работать при любом состоянии указанной опции.

За сим совет считаю вредным.
__________________
Век живи, век учись - ...
Bull вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Нет привязки к пересечениям объектов

Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
LISP. Распределение по слоям объектов dim.,hatch,text Суханова LISP 5 28.08.2008 13:31
После выбора объектов в панеле \"Свойства\" написа Леха Кучерявый AutoCAD 8 29.03.2007 13:29
Перенос объектов из Модели в Лист ===AAA=== Программирование 11 19.01.2006 13:09
привязки в paper space renoex AutoCAD 9 02.12.2005 08:23
Объединение (группировка) объектов Кулик Алексей aka kpblc Программирование 8 29.09.2005 13:32

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы